%define name calligra-l10n
%define version 2.9.11
%define release %mkrel 1
# Supported l10n language
##%define langlist bs ca da de el en_GB es et eu fi fr gl hu ia it kk nb nds nl pl pt pt_BR ru sk sl sv tr uk zh_CN zh_TW
%define langlist bs ca cs da de el en_GB es et fi fr gl hu it ja kk nb nl pl pt pt_BR ru sk sv uk zh_CN zh_TW

# Language descriptions
%define language_bs bs
%define langname_bs Bosnian
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_GB en_GB
%define langname_en_GB British English
%define language_es es
%define langname_es Spanish
%define language_et et
%define langname_et Estonian
%define language_eu eu
%define langname_eu Basque
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_gl gl
%define langname_gl Galician
%define language_hu hu
%define langname_hu Hungarian
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_kk kk
%define langname_kk Kazakh
%define language_nb nb
%define langname_nb Norwegian
%define language_nl nl
%define langname_nl Dutch
%define language_nds nds
%define langname_nds Lower Saxon
%define language_pl pl
%define langname_pl Polish
%define language_pt pt
%define langname_pt Portuguese
%define language_pt_BR pt_BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_ru ru
%define langname_ru Russian
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_sv sv
%define langname_sv Swedish
%define language_uk uk
%define langname_uk Ukrainian
%define language_wa wa
%define langname_wa Walloon
%define language_zh_CN zh_CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh_TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# Locales
%{expand:%(for lang in %langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary: Language files for Calligra (virtual package)
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv2+
Group: System/Internationalization
Url: http://www.calligra-suite.org/
BuildArch:	noarch
# localisation package template
Source0: %{name}-template.in
# l10n sources
%{expand:%(\
	i=1; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: http://download.kde.org/stable/calligra-%%{version}/calligra-l10n/%%{name}-%%{language_$lang}-%%{version}.tar.xz}";\
		i=$[i+1];\
	done\
	)
}
BuildRequires: gettext >= 0.15
BuildRequires: kdelibs-devel
Obsoletes: koffice-l10n

%description
Language files for Calligra.

# Expand all localisation packages descriptions.

%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -T -n %{name}-%{version} -c

for lang in %langlist; do\
  tar xf %{_sourcedir}/%{name}-$lang-%{version}.tar.xz;
done

%build
for lang in %langlist; do\
	pushd %{name}-$lang-%{version};
		%cmake_kde4;
		%make;
	popd;
done

%install
for lang in %langlist; do
	pushd %{name}-$lang-%{version};
		%makeinstall_std -C build;
	popd;
done


%changelog
* Tue Feb 09 2016 pp <pp> 2.9.11-1pclos2016
- update

* Sat Dec 12 2015 pp <pp> 2.9.10-1pclos2015
- update

* Sun Nov 08 2015 pp <pp> 2.9.9-1pclos2015
- update

* Sun Oct 11 2015 pp <pp> 2.9.8-1pclos2015
- update

* Thu Sep 03 2015 pp <pp> 2.9.7-1pclos2015
- update

* Fri Jul 10 2015 pp <pp> 2.9.6-1pclos2015
- update

* Thu Jun 11 2015 pinoc <vogtpet at gmail.com> 2.9.5-1pclos2015
- 2.9.5

* Sat May 16 2015 pinoc <vogtpet at gmail.com> 2.9.4-1pclos2015
- 2.9.4

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 2.9.2-1pclos2015
- 2.9.2 on 15.04

* Thu Feb 26 2015 pinoc <vogtpet at gmail.com> 2.9.0-1pclos2015
- 2.9.0

* Sat Dec 20 2014 pinoc <vogtpet at gmail.com> 2.8.7-1pclos2014
- 2.8.7

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 2.8.6-2pclos2014
- rebuild on 4.14.3

* Sun Sep 28 2014 pinoc <vogtpet at gmail.com> 2.8.6-1pclos2014
- 2.8.6
- added support for Japanese and Brit. English

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 2.8.5-2pclos2014
- rebuild on kde 4.13.3

* Sat Jul 05 2014 pinoc <vogtpet at gmail.com> 2.8.5-1pclos2014
- 2.8.5
- language sl no longer provided 
- amended template to include new file for de 

* Tue May 06 2014 pinoc <vogtpet at gmail.com> 2.8.2-1pclos2014
- 2.8.2

* Sat Mar 05 2014 pinoc <vogtpet at gmail.com> 2.8.0-1pclos2014
- 2.8.0
- removed Interlingua, Turkish
- added Basque

* Thu Nov 28 2013 pinoc <vogtpet at gmail.com> 2.7.5-1pclos2013
- 2.7.5

* Mon Nov 18 2013 pinoc <vogtpet at gmail.com> 2.7.4-1pclos2013
- 2.7.4

* Mon Sep 16 2013 pinoc <vogtpet at gmail.com> 2.7.3-1pclos2013
- 2.7.3

* Thu Aug 08 2013 pinoc <vogtpet at gmail.com> 2.7.1-1pclos2013
- 2.7.1

* Wed Mar 13 2013 pinoc <vogtpet at gmail.com> 2.6.2-1pclos2013
- 2.6.2
- added Turkish language support

* Fri Feb 08 2013 pinoc <vogtpet at gmail.com> 2.6.0-1pclos2013
- 2.6.0
- imported from Mageia
